////////////////////////////////////////////////////////////////////////////////
/// DISCLAIMER
///
/// Copyright 2014-2016 ArangoDB GmbH, Cologne, Germany
/// Copyright 2004-2014 triAGENS GmbH, Cologne, Germany
///
/// Licensed under the Apache License, Version 2.0 (the "License");
/// you may not use this file except in compliance with the License.
/// You may obtain a copy of the License at
///
///     http://www.apache.org/licenses/LICENSE-2.0
///
/// Unless required by applicable law or agreed to in writing, software
/// distributed under the License is distributed on an "AS IS" BASIS,
/// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
/// See the License for the specific language governing permissions and
/// limitations under the License.
///
/// Copyright holder is ArangoDB GmbH, Cologne, Germany
///
/// @author Jan Steemann
////////////////////////////////////////////////////////////////////////////////

#ifndef ARANGODB_REST_REQUEST_CONTEXT_H
#define ARANGODB_REST_REQUEST_CONTEXT_H 1

#include "Basics/Common.h"

#include "Rest/HttpRequest.h"
#include "Rest/HttpResponse.h"

namespace arangodb {
class HttpRequest;

class RequestContext {
  RequestContext(const RequestContext&) = delete;
  RequestContext& operator=(const RequestContext&) = delete;

 public:
  RequestContext(HttpRequest* request) : _request(request) {}
  virtual ~RequestContext() {}

 public:
  virtual GeneralResponse::ResponseCode authenticate() = 0;

 protected:
  HttpRequest* _request;
};

}

#endif
